Package tigase.server.ext

# Class CompSQLRepository

java.lang.Object
tigase.server.ext.CompSQLRepository

All Implemented Interfaces:
  `Iterable<CompRepoItem>`, `ComponentRepository<CompRepoItem>`, `DataSourceAware<DataRepository>`, `Repository`, `Initializable`, `UnregisterAware`

@Deprecated public class CompSQLRepository extends Object implements ComponentRepository<CompRepoItem>, DataSourceAware<DataRepository>, Initializable, UnregisterAware
Deprecated.
Created: Nov 7, 2009 11:26:10 AM

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REPO_URI_PROP_KEY`
  Deprecated.
  `static final String`
  `TABLE_NAME`
  Deprecated.

  ### Fields inherited from interface tigase.db.comp.ComponentRepository

  `COMP_REPO_BIND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompSQLRepository()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addItem(CompRepoItem item)`
  Deprecated.
  The method adds a new or updates existing Item in the repository.
  `void`
  `addItemNoStore(CompRepoItem item)`
  Deprecated.
  The method adds a new or updates existing Item.
  `void`
  `addRepoChangeListener(RepositoryChangeListenerIfc<CompRepoItem> repoChangeListener)`
  Deprecated.
  Adds a listener for repository Item change.
  `Collection<CompRepoItem>`
  `allItems()`
  Deprecated.
  Returns a collection with all items stored in the repository.
  `void`
  `beforeUnregister()`
  Deprecated.
  Method called before bean unregister.
  `boolean`
  `contains(String key)`
  Deprecated.
  The method checks whether the item is stored in the repository.
  `void`
  `destroy()`
  Deprecated.
  Method destroys this instance of ComponentRepository releasing resources allocated for this instance of ComponentRepository if possible
  `void`
  `getDefaults(Map<String,Object> defs, Map<String,Object> params)`
  Deprecated.
  `CompRepoItem`
  `getItem(String key)`
  Deprecated.
  The method returns all item configuration parameters for a key or `null` if the item does not exist in the repository.
  `CompRepoItem`
  `getItemInstance()`
  Deprecated.
  Creates a new, uninitialized instance of the repository Item.
  `void`
  `initialize()`
  Deprecated.
  Method will be called, when bean will be created, configured and ready to use.
  `void`
  `initRepository(String conn_str, Map<String,String> params)`
  Deprecated.
  `Iterator<CompRepoItem>`
  `iterator()`
  Deprecated.
  `void`
  `onDataSourceChange(DataSourceBean.DataSourceChangedEvent event)`
  Deprecated.
  `void`
  `reload()`
  Deprecated.
  This method is called to reload items from the database or other permanent storage.
  `void`
  `removeItem(String key)`
  Deprecated.
  The method is called to remove given Item from the memory cache and permanent storage.
  `void`
  `removeItemNoStore(String key)`
  Deprecated.
  `void`
  `removeRepoChangeListener(RepositoryChangeListenerIfc<CompRepoItem> repoChangeListener)`
  Deprecated.
  Removes a listener for repository Item change.
  `void`
  `setAutoloadTimer(long delay)`
  Deprecated.
  Sets autoload task to periodically reload data from database.
  `void`
  `setDataSource(DataRepository data_repo)`
  Deprecated.
  Method called to provide class with instance of a data source.
  `void`
  `setDataSourceBean(DataSourceBean dataSourceBean)`
  Deprecated.
  `void`
  `setProperties(Map<String,Object> properties)`
  Deprecated.
  `int`
  `size()`
  Deprecated.
  The method returns number of items in the repository.
  `void`
  `store()`
  Deprecated.
  The method is called to store all data in the database.
  `String`
  `validateItem(CompRepoItem item)`
  Deprecated.
  Performs Item validation to check whether it meets the repository policy.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### REPO_URI_PROP_KEY

    public static final String REPO_URI_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TABLE_NAME

    public static final String TABLE_NAME
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CompSQLRepository

    public CompSQLRepository()
    Deprecated.

- ## Method Details

  - ### setDataSourceBean

    public void setDataSourceBean(DataSourceBean dataSourceBean)
    Deprecated.

  - ### initialize

    public void initialize()
    Deprecated.
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`

  - ### beforeUnregister

    public void beforeUnregister()
    Deprecated.
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### onDataSourceChange

    public void onDataSourceChange(DataSourceBean.DataSourceChangedEvent event)
    Deprecated.

  - ### addRepoChangeListener

    public void addRepoChangeListener(RepositoryChangeListenerIfc<CompRepoItem> repoChangeListener)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Adds a listener for repository Item change.
    Specified by:
      `addRepoChangeListener` in interface `ComponentRepository<CompRepoItem>`

  - ### removeRepoChangeListener

    public void removeRepoChangeListener(RepositoryChangeListenerIfc<CompRepoItem> repoChangeListener)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Removes a listener for repository Item change.
    Specified by:
      `removeRepoChangeListener` in interface `ComponentRepository<CompRepoItem>`

  - ### addItemNoStore

    public void addItemNoStore(CompRepoItem item)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method adds a new or updates existing Item. It needs to have all fields set correctly. After this method call is finished a new added item must be available in the component repository. The method adds the item to memory cache but not to a permanent storage.
    Specified by:
      `addItemNoStore` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `item` - a `Item` with all it's configuration parameters.

  - ### addItem

    public void addItem(CompRepoItem item)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method adds a new or updates existing Item in the repository. It needs to have all fields set correctly. After this method call is finished a new added item must be available in the component repository. The method adds the item to memory cache and permanent storage.
    Specified by:
      `addItem` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `item` - a `Item` with all it's configuration parameters.

  - ### allItems

    public Collection<CompRepoItem> allItems()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Returns a collection with all items stored in the repository.
    Specified by:
      `allItems` in interface `ComponentRepository<CompRepoItem>`

  - ### contains

    public boolean contains(String key)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method checks whether the item is stored in the repository.
    Specified by:
      `contains` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `key` - a `String` with key to search for.
    Returns:
      a `boolean` value `true` if the item exists in the repository or `false` of it does not.

  - ### destroy

    public void destroy()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Method destroys this instance of ComponentRepository releasing resources allocated for this instance of ComponentRepository if possible
    Specified by:
      `destroy` in interface `ComponentRepository<CompRepoItem>`

  - ### getDefaults

    @Deprecated public void getDefaults(Map<String,Object> defs, Map<String,Object> params)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method is called to obtain default configuration settings if there are any for this repository implementation The configuration settings are implementation dependent and there are no defaults set by the server. Default settings returned by this method are then saved in the configuration file and presented to the admin for further adjustments.
    Specified by:
      `getDefaults` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `defs` - is a `Map` collection where all repository configuration defaults must be put.
      `params` - is a `Map` collection with some preset properties for the server. These settings can be used to adjust repository defaults, for example they can contain database connection URL or initial list of virtual domains.

  - ### getItem

    public CompRepoItem getItem(String key)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method returns all item configuration parameters for a key or `null` if the item does not exist in the repository.
    Specified by:
      `getItem` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `key` - a `String` with item identifier to search for.
    Returns:
      a `Item` for a given key or `null` if the item is not in the repository.

  - ### getItemInstance

    public CompRepoItem getItemInstance()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Creates a new, uninitialized instance of the repository Item.
    Specified by:
      `getItemInstance` in interface `ComponentRepository<CompRepoItem>`
    Returns:
      a new, uninitialized instance of the repository Item.

  - ### setDataSource

    public void setDataSource(DataRepository data_repo)
    Deprecated.
    Description copied from interface: `DataSourceAware`
    Method called to provide class with instance of a data source.
    Specified by:
      `setDataSource` in interface `DataSourceAware<DataRepository>`

  - ### initRepository

    @Deprecated public void initRepository(String conn_str, Map<String,String> params) throws DBInitException
    Deprecated.
    Description copied from interface: `Repository`
    Method is deprecated and should not be user any more.
    The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
    Specified by:
      `initRepository` in interface `Repository`
    Parameters:
      `conn_str` - value in most cases representing the database connection string.
      `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
    Throws:
      `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

  - ### iterator

    public Iterator<CompRepoItem> iterator()
    Deprecated.
    Specified by:
      `iterator` in interface `Iterable<CompRepoItem>`

  - ### reload

    public void reload()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    This method is called to reload items from the database or other permanent storage. It is possible that items list is modified externally by third-party system. When all modifications are done this method is called to refresh the class cache. Whether the implementation load whole list or just last modifications is implementation dependent.
    Specified by:
      `reload` in interface `ComponentRepository<CompRepoItem>`

  - ### removeItem

    public void removeItem(String key)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method is called to remove given Item from the memory cache and permanent storage. After this method is completed the item should no longer be available in the component repository.
    Specified by:
      `removeItem` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `key` - a `String` with domain name to remove.

  - ### removeItemNoStore

    public void removeItemNoStore(String key)
    Deprecated.
    Specified by:
      `removeItemNoStore` in interface `ComponentRepository<CompRepoItem>`

  - ### setProperties

    @Deprecated public void setProperties(Map<String,Object> properties)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method is called to set configuration for this repository implementation. The configuration is repository implementation dependent. There are no default settings for the repository.
    Specified by:
      `setProperties` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `properties` - a `Map` with configuration settings. Content of this `Map` must not be modified. This read-only collection.

  - ### size

    public int size()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method returns number of items in the repository.
    Specified by:
      `size` in interface `ComponentRepository<CompRepoItem>`
    Returns:
      an `int` value with number of items in the repository.

  - ### store

    public void store()
    Deprecated.
    Description copied from interface: `ComponentRepository`
    The method is called to store all data in the database. It is used when the repository has been changed in some way and the changes have to be put to a permanent storage for later retrieval.
    Specified by:
      `store` in interface `ComponentRepository<CompRepoItem>`

  - ### validateItem

    public String validateItem(CompRepoItem item)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Performs Item validation to check whether it meets the repository policy. If validation is successful the method returns `null`, otherwise it returns an error description.
    Specified by:
      `validateItem` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `item` - is an `Item` object to perform validation checking upon.
    Returns:
      `null` on success and an error message otherwise.

  - ### setAutoloadTimer

    public void setAutoloadTimer(long delay)
    Deprecated.
    Description copied from interface: `ComponentRepository`
    Sets autoload task to periodically reload data from database.
    Specified by:
      `setAutoloadTimer` in interface `ComponentRepository<CompRepoItem>`
    Parameters:
      `delay` - in seconds between each database reload.